import java.io.*;

public class TokenIO {

   public static void main (String args[])
       throws IOException {

     FileReader fr = new FileReader(args[0]);
     StreamTokenizer st = new StreamTokenizer(fr);
     st.ordinaryChar('.');
     st.ordinaryChar('-');
     int token;
     while ((token = st.nextToken()) != StreamTokenizer.TT_EOF) {
       if (token == StreamTokenizer.TT_EOL) {
          System.out.println("");
       } else if (token == StreamTokenizer.TT_NUMBER) {
          System.out.println(" " + token + ":  " + st.nval);
       } else if (token == StreamTokenizer.TT_WORD) {
          System.out.println(" " + token + ":  " + st.sval);
       } else {
          System.out.println(" " + token + ":  " + (char)token);
       }
     }
   }
}
