import java.io.*;

public class SimpleReader {

	protected InputStreamReader inputStream;

	public SimpleReader(String fileName) throws IOException {
		inputStream = new FileReader(fileName);
	}
	
	public SimpleReader() throws IOException {
		inputStream = new InputStreamReader(System.in);
	}

	public int read() throws IOException {
		return inputStream.read();
	}
	
	public static void main (String args[])
		throws IOException {
		SimpleReader input;
		if (0 < args.length) {
			input = new SimpleReader(args[0]);
		} else {
			input = new SimpleReader();
		}
		char ch;
		int c;
		while ((c = input.read()) != -1) {
			ch = (char)c;
			System.out.println(" " + c + ":	" + ch);
		}
	}
}

