public class TowersOfHanoi {
    public static int N, count=0;
    
    public static void main(String args[]) {
       N = Integer.parseInt(args[0]);
       System.out.println("Towers of Hanoi with " + N + " rings.");
       Hanoi(N, 'a', 'b', 'c');
       System.out.println("Total moves: " + count);
    }
       
    public static void Hanoi(int nRings, char A, char B,char C) {
      if (nRings == 1) 
         Move(A, B);
      else {
         Hanoi(nRings-1, A, C, B);
         Move(A, B);
         Hanoi(nRings-1, C, B, A);
      }
   }
      
   public static void Move(char A, char B) {
       System.out.println("Move " + A + " to " + B);
       count++;
   }
}
