/*        
    This program reads a file and prints out each
    numeric litteral.
    
    Daniel D. Warner   10/12/98
*/

import java.io.*;

public class SpotNumbers {

    public static void main(String args[]) {
        InputStreamReader stdin = new InputStreamReader(System.in);
        StreamTokenizer reader = new StreamTokenizer(stdin);
        reader.eolIsSignificant(true);
        Integer lineNumber;
        double x = 16.234E+6;
        System.out.println("x = " + Double.toString(x));
        int token = 0;
        while (token != StreamTokenizer.TT_EOF) {
            try {
                token = reader.nextToken();
                if (token == StreamTokenizer.TT_EOF) {
                    System.out.println("");
                } else if (token == StreamTokenizer.TT_NUMBER) {
                    System.out.print(Integer.toString(reader.lineno()) + ": ");
                    System.out.println(Double.toString(reader.nval));
                } else { 
                    // Do nothing on all other characters.
                }
            } catch (IOException e) {} 
        }
    }

}
